in

Apt 1.9 do Debian agora é experimental

Ele deve ser implementado no Ubuntu 19.10.

Apt 1.9 do Debian agora é experimental

O sistema de empacotamento Apt do Debian foi marcado como experimental na versão 1.9.0. Além disso, todo o processo para ser adicionado ao Ubuntu 19.10 já está em andamento. O Apt 1.9 está trabalhando para o eventual lançamento do Apt 2.0, ou seja, funciona como uma versão beta da nova atualização a ser lançada em breve.

Detalhes sobre o Apt 1.9 experimental do Debian

Apt 1.9 do Debian agora é experimental

O sistema de empacotamento do Apt 1.9 é uma grande atualização. Então, inclui quebra de API/ABI, além de mudanças necessárias nas interfaces Python e Perl. O Apt 1.9 está trabalhando para um eventual lançamento do Apt 2.0. Porém por enquanto o Apt 1.9 é o alvo do Ubuntu 19.10 e estará disponível via experimental do Debian.

E ele vem até com uma novidade. Um novo comando para o Apt 1.9 é o apt satisfied. Este pode ser alimentado com strings dependentes de compilação para especificar as dependências necessárias. Este novo comando do APT, assim, é responsável por descobrir e instalar essas dependências.

Veja o que diz o anúncio:

Eu carreguei o apt 1.9.0 para o eoan e consertei alguns rdeps para trabalhar com isso já. apt 1.9 quebra a ABI e API por Removendo desnecessário inclui e métodos obsoletos e struct membros, por isso é um pouco em termos de quebra. Isso também significa que as ligações para Python e Perl compartilhar algumas das quebras de API. Especialmente notável para Python é provavelmente que Package.section desaparece.

Espero enviar o python-apt amanhã, por favor, dê um pouco mais testes extensivos depois disso para python e perl code usando apt para ter certeza de que não quebrou nada. Ou, no caso do Python, adicione a digitação se você não tiver, e certifique-se de usar mypy –strict – isso deve pegar qualquer problemas.

É também o primeiro passo no caminho para o 2.0; também traz você o comando “apt satisfied” que você pode alimentar o Build-Depends strings, por exemplo, ‘apt satisfazer’ apt (> = 1.9) | apt-replacement (> = 1) “‘.

Haverá outra pausa da ABI em alguns meses ou mais. Será para limpar mais alguns detalhes. Porém isso deve causar muito menos falhas de compilação e alterações na API, disse o desenvolvedor.

Mais detalhes sobre as mudanças experimentais do Apt 1.9 neste estágio de desenvolvimento podem ser encontrados através deste commit do Git.

O Apt 1.9 experimental está agora no processo de pouso no arquivo do Ubuntu 19.10

Escrito por Claylson Martins

Jornalista com pós graduações em Economia, Jornalismo Digital e Radiodifusão.

Microsoft adquire a Pull Panda para revisão de código

Microsoft adquire a Pull Panda para revisão de código

Chrome recebe novos temas e opções de personalização

Chrome recebe novos temas e opções de personalização